//---------------------------------
// 2017/1/27

#ifndef STORAGE_H
#define STORAGE_H

#include "Arduino.h"

// Select SD or SPIFFS
//#define STORAGE_SPIFFS    // SDカードの代わりに内蔵フラッシュのSPIFFSを使用する場合にコメントを外す

#ifdef STORAGE_SPIFFS
#include <FS.h>
#else
#include <SdFat.h>
#endif


class Storage{

public:
  static const bool opLogSerial = true;
  static const bool opLogStorage = true;
  static const String opLogFileName;
  static const uint8_t pinSDCS = 2;      // SD SPI CS Pin
  static const uint8_t spiClkSD = 8;     // SDSPI clock MHz

  static void opLog(String logStr);
  
};

#endif
